## org.jfree.ui
Class HorizontalAlignment

    java.lang.Object
      org.jfree.ui.HorizontalAlignment

All Implemented Interfaces:
  java.io.Serializable

public final class HorizontalAlignment
extends java.lang.Object
implements java.io.Serializable

An enumeration of the horizontal alignment types (`LEFT`, `RIGHT` and `CENTER`).

Author:
  David Gilbert
See Also:
  Serialized Form

Field Summary
`static HorizontalAlignment` `CENTER` Center alignment.
`static HorizontalAlignment` `LEFT` Left alignment.
`static HorizontalAlignment` `RIGHT` Right alignment.

Method Summary
`boolean` `equals(java.lang.Object obj)` Returns `true` if this object is equal to the specified object, and `false` otherwise.
`int` `hashCode()` Returns a hash code value for the object.
`java.lang.String` `toString()` Returns a string representing the object.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### LEFT

    public static final HorizontalAlignment LEFT

  Left alignment.

### RIGHT

    public static final HorizontalAlignment RIGHT

  Right alignment.

### CENTER

    public static final HorizontalAlignment CENTER

  Center alignment.

Method Detail

### toString

    public java.lang.String toString()

  Returns a string representing the object.

  Returns:
    The string.

### equals

    public boolean equals(java.lang.Object obj)

  Returns `true` if this object is equal to the specified object, and `false` otherwise.

  Parameters:
    `obj` - the object (`null` permitted).
  Returns:
    A boolean.

### hashCode

    public int hashCode()

  Returns a hash code value for the object.

  Returns:
    The hashcode